cURL
curl --request GET \ --url https://api.vantage.sh/v2/billing_profiles \ --header 'Authorization: Bearer <token>'
{ "billing_profiles": [ { "token": "<string>", "nickname": "<string>", "created_at": "2023-08-04T00:00:00Z", "updated_at": "2023-08-04T00:00:00Z", "billing_information_attributes": { "token": "<string>", "company_name": "<string>", "country_code": "<string>", "address_line_1": "<string>", "address_line_2": "<string>", "city": "<string>", "state": "<string>", "postal_code": "<string>", "billing_email": [ "<string>" ] }, "business_information_attributes": { "token": "<string>", "metadata": { "custom_fields": [ { "name": "<string>", "value": "<string>" } ] } }, "invoice_adjustment_attributes": { "token": "<string>", "adjustment_items": [ { "name": "<string>", "adjustment_type": "charge", "calculation_type": "fixed", "amount": "<string>" } ] }, "managed_accounts_count": "<string>" } ], "links": { "self": "<string>", "first": "<string>", "next": "<string>", "last": "<string>", "prev": "<string>" } }
Returns a list of billing profiles (MSP invoicing required).
The access token received from the authorization server in the OAuth 2.0 flow.
The page of results to return.
The amount of results to return. The maximum is 1000.
BillingProfiles model
Show child attributes